Loading...
Searching...
No Matches
sdbus::SignalVTableItem Struct Reference

## Public Member Functions

template<typename... Args>
SignalVTableItem & | withParameters ()
template<typename... Args>
SignalVTableItem & | withParameters (std::vector< std::string > names)
template<typename... Args, typename... String>
SignalVTableItem & | withParameters (String... names)
SignalVTableItem & | markAsDeprecated ()

## Public Attributes

SignalName | name
Signature | signature
std::vector< std::string > | paramNames
Flags | flags

The documentation for this struct was generated from the following files:

- include/sdbus-c++/VTableItems.h
- include/sdbus-c++/VTableItems.inl